summaryrefslogtreecommitdiffstats
path: root/debian/open-infrastructure-container-tools.postrm
diff options
context:
space:
mode:
Diffstat (limited to 'debian/open-infrastructure-container-tools.postrm')
-rw-r--r--debian/open-infrastructure-container-tools.postrm24
1 files changed, 24 insertions, 0 deletions
diff --git a/debian/open-infrastructure-container-tools.postrm b/debian/open-infrastructure-container-tools.postrm
new file mode 100644
index 0000000..331f534
--- /dev/null
+++ b/debian/open-infrastructure-container-tools.postrm
@@ -0,0 +1,24 @@
+#!/bin/sh
+
+set -e
+
+case "${1}" in
+ remove)
+ # procps: uptime
+ dpkg-divert --package open-infrastructure-container-tools --quiet --remove --rename --divert /usr/bin/uptime.orig.procps /usr/bin/uptime
+ dpkg-divert --package open-infrastructure-container-tools --quiet --remove --rename --divert /usr/share/man/man1/uptime.orig.procps.1.gz /usr/share/man/man1/uptime.1.gz
+ ;;
+
+ purge|upgrade|failed-upgrade|abort-install|abort-upgrade|disappear)
+
+ ;;
+
+ *)
+ echo "postrm called with unknown argument \`${1}'" >&2
+ exit 1
+ ;;
+esac
+
+#DEBHELPER#
+
+exit 0